/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'bci-overview-tile',
  templateUrl: './overview-tile.component.html',
  styleUrls: ['./overview-tile.component.scss'],
})
export class OverviewTileComponent {
  @Input() title: string;
  @Input() description: string;
  @Input() iconName: string;
  @Input() image: string;
  @Output() action: EventEmitter<any> = new EventEmitter();

  executeAction($event: Event) {
    $event.stopPropagation();
    $event.preventDefault();
    this.action.emit(null);
  }
}
